#!/usr/bin/env python3

def sumRec(n):
    return 0 if n == 0 else (n + sumRec(n - 1))

def sumRec2(n):
    def helper(n, acc):
        return acc if n == 0 else helper(n - 1, n + acc)
    return helper(n, 0)

def sumIter(n):
    ans = 0
    while n > 0:
        ans = ans + n
        n = n - 1
    return ans

print(sumRec2(1000))
